Bonfire Studio Help

Welcome

Welcome to Bonfire Studio Help!
Quick Links:
  • Installation Notes
  • Project Manager
  • XML Tree View
  • Support
Copyright © 2002, NZ Software


System Requirements

In order to run Bonfire, it is recommended that you have the following
  • Windows 95, 98, ME, NT 4, 2000, XP and later
  • Internet Explorer 5 and later OR MSXML parser Version 3 and later.

Registry entries

The installation program will create entries in the registry of your computer in order to register the file type .xpr. The following keys will be added under HKEY_CLASSES_ROOT:
  • .xpr
  • NZ.Bonfire Studio.Project
  • NZ.Bonfire Studio.Project\\DefaultIcon
  • NZ.Bonfire Studio.Project\\shell
  • NZ.Bonfire Studio.Project\\shell\\Open\\command


Version 1.3.2

Bug Fixes
  • Find in Files doesn't search in all subfolders
  • Remeber the "search subfolders" option in FIF dialog
  • Goto raises invalid input error
  • Opening a link from the FIF results doesnt go to the correct line number
  • When printing, all output is in wingdings characters (some systems)
  • Using splitter in source view crashes when switching back to source view from other views

Version 1.3.1

Bug Fixes
  • When renaming a folder and cancelling, it still tries to rename it
  • When adding folders, if "add subfolders" is not checked, no files are added
  • Recent projects aren't being saved into the Most Recently Used list
  • Dblclick/Enter on project/folder node doesn't expand it
  • Pressing up/down doesn't always work in Project Manager
  • When asking to split lines, the warning message is misleading. Now it assures the user that the file will not be corrupted after splitting
New Features/ Enhancements
  • Added menus for bookmarks
  • Views don't refresh unless the file was modified
  • Allow splitter for Source View

Version 1.3

Bug Fixes
  • When performing "close all windows", all projects get closed as well
  • When saving a project "as", the recent project list doesn't get updated
  • When switching to Browser View and back to Source View, the window doesn't resize with the frame
  • In XML Tree View, the Root node's text is only the first character instead of the whole tag name
  • Shouldn't be able to add a folder if it doesn't exist
  • When a file contains lines with too many characters (more than 1024), fatal exception occurs
  • Moving a file made it temporarily read-only
  • Save All wasn't enabled if only a project was modified
  • Drag n Drop timers weren't being reset properly
  • When creating a new File, and typing something in it, then closing and not saving, the node does not get removed from the Project Tree
New Features/ Enhancements
  • Run/Execute File (under OS default application)
  • Open a file from a specified URL
  • Mouse Wheel Scrolling
  • All dialogs use a history dropdown instead of text fields and remember all the options when re-opening the dialog
  • Allows ENTER and ESC key when editing labels in Project Manager
  • Gives option to open a file for read-only even if the file is not read-only
  • Allows dragging in source editor
  • Nicer disabled toolbar bitmaps

Version 1.2.1

Bug Fixes
  • Prevent adding the same folder
  • When switching between output tabs, the order of items gets reversed
  • When saving a new file in miscellaneous, its icon becomes "not found"
  • When dbl-clicking on project in Windows Explorer, Bonfire Studio tries to open the project file, and gives an exception
  • Caption of child doc changes when saving (Windows XP)
  • Disallow adding of the same file in Project Manager
New Features/ Enhancements
  • Move files and folders to different folders/project using drag-n-drop or popup menus
  • Find in Files shows number of results
  • Goto Line
  • Added Search Menu to hold Find and Goto tools

Version 1.2

Bug Fixes
  • When saving Miscellaneous as another project, it becomes "NEW"
  • On Save All, the application shouldn't ask to save changes to each file
  • Read-only files should ask to save on switching views
  • Apostrophies and quotations were syntax-highlighted outside of xml tags
  • Fixed menu mnemonics
  • Disallow adding of the same file in Project Manager
New Features/ Enhancements
  • New interface for output window
  • New look for Dock bars
  • Locate in Explorer - Find the selected file or folder in Windows Explorer
  • Close Current/All Window(s)
  • Find in Files
  • Add images to Help file

Version 1.1

Bug Fixes
  • Disabled delete of "Miscellaneous" project
  • No more "virtual" files - copies file to the folder under which you are adding it
  • Shows correct icon of each document (icon disappeared after save)
  • When exiting fullscreen mode, it restores to original state
  • When saving on switching views, sometimes it didn't change caption on save
  • Used to ask twice to save changes on switching views
New Features/ Enhancements
  • Sorting nodes in Project Manager
  • Option to view folders first or files in Project Manager
  • Monitors modifying files outside the application
  • Uses temporary files (puts them into environment TEMP folder) when switching views
  • Recent projects list
  • Drag files from other apps

Version 1.0

User Interface
  • MDI (Multiple Document) Interface.
  • Docking Toolbars
  • Colorful Menus
  • 256-color Icons
  • Output window for error messages
  • Standard edit options (Cut, Copy, Paste, Select All, etc.)
  • Fullscreen View
  • Output Window
  • Project Manager Window
Document Views
  • Source view (with syntax-highlighting)
  • XML Tree view
  • Browser view
Project Management
  • Create, Open, Save Projects
  • Create New Folders
  • Add/Remove Files, Folders
  • Miscellaneous Files project


To add an existing folder to your project, click on Project > Add Folders. You will see a dialog box popup in which you will be able to select the given folders. Click Browse to select the folder which you would like to add. Check Add Subfolders if you want to add all the subfolders contained in that folder. You can also specify a filter for the files which you would like to add. A (*.*) filter will add all files, but if you leave it blank, no files will be added. Below is a screenshot of the Add Folder dialog:


To remove unwanted folders from the project, select the folders and then click on Project > Remove From Project. This operation will attempt to remove any subfolders and the files in those folders from the project. If any of the contained files are currently being edited, you will be prompted to save the file(s). If you click Cancel, then that file will not be removed.


Virtual folders are the same as regular folders except that they are noted with a "link" icon. This signifies that the folder is located in another location on your computer, and not as a subfolder of its shown parent node.


To remove unwanted files from the project, selected the files and then click on Project > Remove From Project. If any of the unwanted files are currently being edited, you will be prompted to save the file(s). If you click Cancel, then that file will not be removed.


Displays the text file the same way it would look as if it was being viewed in a browser (IE). This view can be used to preview xml documents referring to xsl stylesheets, as well as html documents. Below is an example of previewing a HTML file:


List of icons in the Edit Menu
  • Undo - Undo the last typing action.
  • Redo - Undo the next typing action.

  • Cut - Cut selected text and copy to clipboard.
  • Copy - Copy selected text and copy to clipboard.
  • Paste - Paste clipboard text into current location in the text file.
  • Select All - Select all text of the current file.
  • Delete - Delete the current character.

  • Tab Selection - Indent the selection by one tab.
  • Untab Selection - Unindent the selection by one tab.
  • Uppercase Selection - Convert all characters in the selection to uppercase.
  • Lowercase Selection - Convert all characters in the selection to lowercase.

  • Read Only - Displays the Read-Only flag of the current file.


  • Syntax Colors - Configure the color for each type of element/keyword that can be parsed.
  • Font - Configure the Font name and Font size of the text in the editor.
Below is a screenshot of the Editor Tab in Options Dialog:


List of icons in the File Menu
  • New File - Create a new text file.
  • Open File - Open an existing file from disk.
  • Open from URL - Downloads and opens a file from a specified URL.

  • Save File - Save the current file to disk.
  • Save File As - Save the current file with a different filename.
  • Save All - Save all modified files and projects.

  • Print Preview - Preview the current docuemnt before printing.
  • Print Setup - Setup printers.
  • Print - Pops up the print dialog.

  • File Properties - Displays a popup with the information about the current file.

  • Recent Files (submenu) - Shows a list of recently opened files.
  • Recent Projects (submenu) - Shows a list of recently opened projects.

  • Exit - Close the application.


The Find feature allows the user to search for specified text inside the curent file. You can search "Up" or "Down" from the current cursor position. The "Match Whole Word" option searches for the text surrounded by whitespaces. "Match Case" performs a case-sensitive search. Below is a screenshot of the Find dialog:


The Find in Files features allows the user to search for specified text inside files of specified folders. The user can set the File Types option to be the "File Types" filter for searching only desired files. Check the "search Subfolders" option to perform a recursive search in the folders. The "Match Whole Word" option searches for the text surrounded by whitespaces. "Match Case" performs a case-sensitive search. Below is a screenshot of the Find in Files dialog:


List of icons in the Find Toolbar
  • Find - Find the search text inside the current file.
  • Find Previous - Search the previous occurence of the search text.
  • Find Next - Search the next occurence of the search text.
  • Replace - Replace the search text with the replace text.
  • Find in Files - Find the search text inside files in specified folders.


  • Save documents before switching views - Check here if you want to save the file (if it was modified) before switching views (e.g. from Source View to XML Tree View).
  • Clear messages in Output Window - Check here if you want to clear the old messages in the Output Window.
  • Automatically Reload Files - Check here if you want to reload the file if a change has been detected outside the program.
Below is a screenshot of the General Tab in Options Dialog:


Goto dialog allows the user to go directly to the specified line in the source view. Below is a screenshot of the Goto dialog:


List of icons in the Help Menu
  • Contents - Display the Contents part of the help file.
  • Index - Display the Index part of the help file.
  • Search - Display the Search part of the help file.

  • About - Display the Help/About dialog.
  • NZ Software Homepage - Navigate to NZ Software homepage.


List of icons in the Main Toolbar
  • New File - Create a new text file.
  • Open File - Open an existing file from disk.
  • Save File - Save the current file to disk.
  • Save All - Save all modified files and projects.

  • Print - Pops up the print dialog.

  • Undo - Undo the last typing action.
  • Redo - Undo the next typing action.

  • Cut - Cut selected text and copy to clipboard.
  • Copy - Copy selected text and copy to clipboard.
  • Paste - Paste clipboard text into current location in the text file.

  • Fullscreen - Removes all toolbars to give the user a "Full Screen" to work with.

  • Help - Pops up the Help/About dialog.


Project Manager allows you to move any file or folder to another project or even just another folder in the same project. You can do that by right-clicking on the node you would like to move and choose "Move To" and then click on the project to which you would like to move it to. You can also move items by dragging the node and dropping it on another project or folder node.

NOTE: The files that are moved in the Project Manager also get moved on your hard drive to the new location, whereas the folders do not get physically moved. They simply become virtual folders in the Project Manager.


Open From URL feature allows opening of a file located anywhere on the internet, by simply specifying its URL. After the file is downloaded and open inside Bonfire Studio, you can save it to your local hard drive by pressing Save. Below is a screenshot of the Open From URL dialog:


The Output window displays program messages, such as errors and action notifiactions (e.g. loading of a project), find in files results, and xml parsing messages.
  • Application messages:

  • Find in Files results:

    • Note: You can double-click on a result, and the specified file will open, selecting the search text.

  • XML messages:

    • Note: This screen gets cleared after a successfull parsing.


Project Manager Options
  • Show folders before files - Determines which items to display first in the Project Tree.
  • Display full paths for Projects - Check here if you want to show the full path of each project file in the Project Manager window.
  • Display full paths for Folders - Check here if you want to show the full path of each folder in the Project Manager window.
  • Display full paths for Files - Check here if you want to show the full path of each file in the Project Manager window.
Below is a screenshot of the Project Bar Tab in Options Dialog:


The Project Manager window displays all the current user projects, with all the files and folders contained in them, as well as miscellaneous files - displayed under "Miscellaneous Files" project node. Below is a screenshot of the Project Manager:


List of actions in the Project Menu
  • Refresh Project - Refreshes the project tree.

  • New Project - Create a new text file.
  • Open Project - Open an existing file from disk.

  • Save Project - Save the current file to disk.
  • Save Project As - Save the current file with a different file name.

  • Add Files - Add file(s) to project.
  • Add Folders - Add folder(s) to project.
  • Remove Item - Remove current file or folder from the project.

  • Project Properties - Displays a popup with the properties of the project file.

  • Close Project - Close the current project and save it if needed.


List of icons in the Project Toolbar
  • New Project - Create a new text file.
  • Open Project - Open an existing file from disk.
  • Save Project - Save the current file to disk.

  • New Folder - Cut selected text and copy to clipboard.
  • Add Files - Add file(s) to project.
  • Add Folders - Add folder(s) to project.
  • Remove Item - Remove current file or folder from the project.


To rename a file, folder, or project, first select the corresponding node in the Project Manager. Then click on it again or right-click > Rename, and the node will become an editable text-box as shown below:

After you are done renaming, simply click anywhere else on the Project Manager window and the item will be renamed.


The Replace feature allows the user to search for specified text inside the curent file and possibly replace it with the "Replace With" text. You can search "Up" or "Down" from the current cursor position. The "Match Whole Word" option searches for the text surrounded by whitespaces. "Match Case" performs a case-sensitive search. Below is a screenshot of the Replace dialog:


List of icons in the Search Menu
  • Find - Pops up a search dialog for the user to input search criteria to find text in the current file.
  • Find Previous - Search the previous occurence of the search text.
  • Find Next - Search the next occurence of the search text.
  • Replace - Replace the search text with the replace text.
  • Find in Files - Find the search text inside files in specified folders.

  • Goto Line - Go to a specific line in the current file.


Displays the current file in ASCII (plain text) format. Some file types are supported for syntax-highlighting. Thos file types are:
  • XML
  • XSL
  • HTML (.html, .htm)
  • C++ (.cpp, .h, .c)
Below is an example of editing the code of a XML file:


Syntax highlighting is a tool that shows different sections of a text file in different colors. For example in XML files, you might see the tag name in BROWN, while seeing plain text in BLACK. Here is an example of a C++ file using syntax highlighting:
//--------------------------------------------------------------------
BOOL ModuleTerminate(CThisTestModule * pThisTestModule)
{
    // Drop the table created in the ModuleInit
    if( pThisTestModule->m_pVoid )
    {
        // Remove table from database and Delete CTable object
        ((CTable *)pThisTestModule->m_pVoid)->DropTable();
        delete ((CTable *)pThisTestModule->m_pVoid);
        pThisTestModule->m_pVoid = NULL;
    }

    return ModuleReleaseDBSession(pThisTestModule);
}


List of icons in the Tools Menu
  • Open in Default Viewer - Opens the selected file using the default application specified by the OS.
  • Locate in Explorer - Finds the file or folder in Windows Explorer.

  • Options - Displays the Options dialog.


List of icons in the View Menu
  • Toolbars
    • Main Toolbar - Show/Hide the Main Toolbar.
    • Project Toolbar - Show/Hide the Project Toolbar.
    • Find Toolbar - Show/Hide the Find Toolbar.

  • Project Manager - Show/Hide the Project Manager window.
  • Output - Show/Hide the Output window.
  • Status Bar - Show/Hide the Status Bar.

  • Fullscreen - Removes all toolbars to give the user a "Full Screen" to work with.


List of icons in the Window Menu
  • Cascade - Shows the document windows arranged like a deck of cards.
  • Tile Horizontally - Tiles all document windows horizontally.
  • Tile Vertically - Tiles all document windows vertically.
  • Arrange Icons - Search the next occurence of the search text.

  • Close Current Window - Close the current document window.
  • Close All Windows - Close all document windows.

  • Current Windows - Shows the list of the current document windows.


Displays the XML file in a tree-like structure, which is easier to view and scroll through, than the XML source code. Below is an example of viewing a XML file as a tree: